Skip to main content
GET
/
clients
/
me
/
integrations
/
yield-xyz
/
transactions
/
{transactionId}
Get a yield transaction
curl --request GET \
  --url https://api.portalhq.io/api/v3/clients/me/integrations/yield-xyz/transactions/{transactionId} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "rawResponse": {
      "type": "<string>",
      "status": "<string>",
      "hash": "<string>",
      "signedTransaction": "<string>",
      "unsignedTransaction": "<string>",
      "stakeId": "<string>",
      "explorerUrl": "<string>"
    }
  }
}

Authorizations

Authorization
string
header
required

Client API Key or Client Session Token (CST). Pass as a Bearer token in the Authorization header.

Path Parameters

transactionId
string
required

The unique identifier of the yield transaction.

Response

Transaction details retrieved successfully

data
object